##########################
The :mod:`gramps.gui` Module
##########################

.. automodule:: gramps.gui

*****************************
Gramps
*****************************
.. automodule:: gramps.gui.grampsgui
.. autoclass:: Gramps
   :members:
   :undoc-members:
   :show-inheritance:

*****************************
About Dialog
*****************************
.. automodule:: gramps.gui.aboutdialog
.. autoclass:: AuthorParser
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: GrampsAboutDialog
   :members:
   :undoc-members:
   :show-inheritance:

*****************************
Base Sidebar
*****************************
.. automodule:: gramps.gui.basesidebar
.. autoclass::  BaseSidebar
   :members:
   :undoc-members:
   :show-inheritance:

*****************************
Column Order
*****************************
.. automodule:: gramps.gui.columnorder
.. autoclass::  ColumnOrder
   :members:
   :undoc-members:
   :show-inheritance:

*****************************
Configuration
*****************************
.. automodule:: gramps.gui.configure
.. autoclass::  ConfigureDialog
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass::  DisplayNameEditor
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass::  GrampsPreferences
   :members:
   :undoc-members:
   :show-inheritance:

*****************************
GUI Element (DB)
*****************************
.. automodule:: gramps.gui.dbguielement
.. autoclass::  DbGUIElement
   :members:
   :undoc-members:
   :show-inheritance:

*****************************
DB Loader
*****************************
.. automodule:: gramps.gui.dbloader
.. autoclass::  DbLoader
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass::  GrampsFormatWidget
   :members:
   :undoc-members:
   :show-inheritance:

*****************************
DB Manager
*****************************
.. automodule:: gramps.gui.dbman
.. autoclass::  DbManager
   :members:
   :undoc-members:
   :show-inheritance:

*****************************
Filter Editor
*****************************
.. automodule:: gramps.gui.editors.filtereditor
.. autoclass:: EditFilter
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: EditRule
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: FilterEditor
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: MyBoolean
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: MyEntry
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: MyFilters
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: MyID
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: MyInteger
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: MyLesserEqualGreater
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: MyList
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: MyPlaces
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: MySelect
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: MySource
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass:: ShowResults
   :members:
   :undoc-members:
   :show-inheritance:

*****************************
Gramps Bar
*****************************
.. automodule:: gramps.gui.grampsbar
.. autoclass::  DetachedWindow
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass::  GrampsBar
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass::  TabGramplet
   :members:
   :undoc-members:
   :show-inheritance:

*****************************
Navigator
*****************************
.. automodule:: gramps.gui.navigator
.. autoclass::  Navigator
   :members:
   :undoc-members:
   :show-inheritance:

*****************************
Plugins Manager
*****************************
.. automodule:: gramps.gui.pluginmanager
.. autoclass::  GuiPluginManager
   :members:
   :undoc-members:
   :show-inheritance:

*****************************
User
*****************************
.. automodule:: gramps.gui.user
.. autoclass:: User
   :members:
   :undoc-members:
   :show-inheritance:

*****************************
Utils
*****************************
.. automodule:: gramps.gui.utils
.. autoclass::  CLIDialog
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass::  CLIVbox
   :members:
   :undoc-members:
   :show-inheritance:
.. autoclass::  ProgressMeter
   :members:
   :undoc-members:
   :show-inheritance:

*****************************
Views Manager
*****************************
.. automodule:: gramps.gui.viewmanager
.. autoclass:: ViewManager
   :members:
   :undoc-members:
   :show-inheritance:
